import {gql} from "@apollo/client";

export const LOGIN = gql`
    mutation Login($email: String!, $password: String!) {
        authenticate(input: {email: $email, password: $password}) {
            jwtToken
        }
    }`

export interface LoginVariables {
    email: string,
    password: string
}

export interface LoginResponse {
    authenticate: {
        jwtToken?: string
    }
}
